Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1807898 - ctemplate requires Python 2 to build
Summary: ctemplate requires Python 2 to build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ctemplate
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Hofmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-27 12:54 UTC by Petr Viktorin
Modified: 2020-03-09 08:43 UTC (History)
3 users (show)

Fixed In Version: ctemplate-2.4-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-09 08:43:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-27 12:54:16 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like ctemplate, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

It seems that Python 3 support was already merged upstream: https://github.com/OlafvdSpek/ctemplate/pull/139

If it's possible that the Python 2 build dependency won't get removed
in Fedora 33, please let us know; the package will need a FESCo exception.

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Till Hofmann 2020-02-29 06:44:43 UTC
There is a discussion opstream to make a new release, I added that it would helpful for us to have a new release:
https://github.com/OlafvdSpek/ctemplate/issues/137#issuecomment-592908834

If this doesn't happen, I'll carry the patch downstream.


Note You need to log in before you can comment on or make changes to this bug.